package com.securitycontrol.background.mapper;

import com.securitycontrol.entity.background.vo.DeviceVo;
import com.securitycontrol.entity.background.vo.EmergencyPlanVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 预案管理
 * @author 黑子
 */
@Repository
public interface EmergencyMapper {
    /**
     * 查询 应急流程信息
     * @param dto
     * @return
     */
    List<EmergencyPlanVo> getList(EmergencyPlanVo dto);

    /**
     * 新增应急电话
     * @param dto
     * @return
     */
    int addTelData(EmergencyPlanVo dto);

    /**
     * 通过电话查询条件
     * @param dto
     * @return
     */
    int getNumByData(EmergencyPlanVo dto);

    /**
     * 修改应急电话
     * @param dto
     * @return
     */
    int updTelData(EmergencyPlanVo dto);

    /**
     * 删除数据
     * @param dto
     * @return
     */
    int deleteData(EmergencyPlanVo dto);

    /**
     * 查询信息详情
     * @param dto
     * @return
     */
    EmergencyPlanVo getDetail(EmergencyPlanVo dto);
}
